Bug 555781 - ppc64-utils is missing several manpages
ppc64-utils is missing several manpages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ppc64-utils (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Roman Rakus
Release Test Team
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 09:20 EST by Alexander Todorov
Modified: 2014-01-12 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version: ppc64-utils-0.13-6.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Man page for addRamDisk command (506 bytes, text/plain)
2010-09-20 10:26 EDT, Roman Rakus
no flags Details
Man page for addSystemMap command (507 bytes, text/plain)
2010-09-20 10:28 EDT, Roman Rakus
no flags Details
lsprop man page (662 bytes, text/plain)
2010-09-21 07:11 EDT, Roman Rakus
no flags Details
ppc64_cpu (1.66 KB, text/plain)
2010-09-21 07:13 EDT, Roman Rakus
no flags Details
man page for rtas_event_decode (953 bytes, application/x-troff-man)
2010-09-21 07:42 EDT, Roman Rakus
no flags Details
lsslot man page (1.39 KB, text/plain)
2010-10-04 11:59 EDT, Roman Rakus
no flags Details
ls-vdev man page (601 bytes, text/plain)
2010-10-04 13:37 EDT, Roman Rakus
no flags Details
drmgr man page (1.20 KB, application/x-troff-man)
2010-10-04 13:38 EDT, Roman Rakus
no flags Details
ls-vdev man page (fixed) (590 bytes, text/plain)
2010-10-05 08:48 EDT, Roman Rakus
no flags Details
ls-veth man page (572 bytes, text/plain)
2010-10-05 08:54 EDT, Roman Rakus
no flags Details
ls-vscsi man page (558 bytes, text/plain)
2010-10-05 08:54 EDT, Roman Rakus
no flags Details
lsdevinfo man page (897 bytes, text/plain)
2010-10-05 09:03 EDT, Roman Rakus
no flags Details
mkzimage man page (620 bytes, text/plain)
2010-10-29 07:49 EDT, Roman Rakus
no flags Details

  None (edit)
Description Alexander Todorov 2010-01-15 09:20:19 EST
Description of problem:
RPMDiff test Manpage integrity has indicated that several executables in the ppc64-utils package are missing man pages.

New executable /usr/sbin/drmgr added on ppc does not have a manpage
New executable /usr/sbin/lsdevinfo added on ppc does not have a manpage
New executable /usr/sbin/lsslot added on ppc does not have a manpage
5 executables still do not have manpages (on ppc):
  /sbin/addRamDisk
  /sbin/addSystemMap
  /usr/sbin/lsprop
  /usr/sbin/ppc64_cpu
  /usr/sbin/rtas_event_decode


Version-Release number of selected component (if applicable):
ppc64-utils-0.11-12.el5 

How reproducible:
Always

Additional info:
GSS has indicated that man pages are important to customers and not having them can generate support calls. Please fix it.
Comment 2 Roman Rakus 2010-09-20 10:26:27 EDT
Created attachment 448466 [details]
Man page for addRamDisk command

Original (of addRamDisk.c) is from kernel source tree; arch/ppc64/boot/addRamDisk.c. I didn't find any man page, so I created this one pretty short informative one.
Comment 3 Roman Rakus 2010-09-20 10:28:14 EDT
Created attachment 448467 [details]
Man page for addSystemMap command

Original (of addSystemMap.c) is from kernel source tree;
arch/ppc64/boot/addSYstemMap.c. I didn't find any man page, so I created this one
pretty short informative one.
Comment 4 Roman Rakus 2010-09-21 07:11:44 EDT
Created attachment 448673 [details]
lsprop man page

lsprop man page
Comment 5 Roman Rakus 2010-09-21 07:13:59 EDT
Created attachment 448674 [details]
ppc64_cpu

picked from Debian and enhanced
Comment 6 Roman Rakus 2010-09-21 07:42:47 EDT
Created attachment 448678 [details]
man page for rtas_event_decode

written from scratch
Comment 7 Roman Rakus 2010-09-21 09:32:35 EDT
Fixed in ppc64-utils-0.13-2.el5
Comment 9 Alexander Todorov 2010-10-01 10:48:40 EDT
(In reply to comment #0)

With ppc64-utils-0.13-3.el5:

> 
> New executable /usr/sbin/drmgr added on ppc does not have a manpage
> New executable /usr/sbin/lsdevinfo added on ppc does not have a manpage
> New executable /usr/sbin/lsslot added on ppc does not have a manpage

These executables don't have man pages.

> 5 executables still do not have manpages (on ppc):
>   /sbin/addRamDisk
>   /sbin/addSystemMap
>   /usr/sbin/lsprop
>   /usr/sbin/ppc64_cpu
>   /usr/sbin/rtas_event_decode

Those 5 do have.

So moving back to ASSIGNED to get the remaining 3 pan pages in.
Comment 10 Roman Rakus 2010-10-04 11:57:46 EDT
The following executables don't have man pages:
/usr/sbin/drmgr
/usr/sbin/ls-vdev
/usr/sbin/ls-veth
/usr/sbin/ls-vscsi
/usr/sbin/lsdevinfo
/usr/sbin/lsslot
Comment 11 Roman Rakus 2010-10-04 11:59:24 EDT
Created attachment 451445 [details]
lsslot man page
Comment 12 Roman Rakus 2010-10-04 13:37:28 EDT
Created attachment 451486 [details]
ls-vdev man page
Comment 13 Roman Rakus 2010-10-04 13:38:31 EDT
Created attachment 451487 [details]
drmgr man page

This one is very poor.
drmgr don't necessarily need a manpage as it is a command that is not
meant to be run by users.
Comment 14 Roman Rakus 2010-10-05 08:48:32 EDT
Created attachment 451654 [details]
ls-vdev man page (fixed)

Previous man page had some mistakes
Comment 15 Roman Rakus 2010-10-05 08:54:37 EDT
Created attachment 451657 [details]
ls-veth man page
Comment 16 Roman Rakus 2010-10-05 08:54:59 EDT
Created attachment 451658 [details]
ls-vscsi man page
Comment 17 Roman Rakus 2010-10-05 09:03:15 EDT
Created attachment 451659 [details]
lsdevinfo man page
Comment 18 Roman Rakus 2010-10-05 09:28:32 EDT
Should be fixed in ppc64-utils-0.13-5.el5
Comment 20 Alexander Todorov 2010-10-27 09:13:31 EDT
(In reply to comment #10)
> The following executables don't have man pages:
> /usr/sbin/drmgr
> /usr/sbin/ls-vdev
> /usr/sbin/ls-veth
> /usr/sbin/ls-vscsi
> /usr/sbin/lsdevinfo
> /usr/sbin/lsslot

All of those have man pages in ppc64-utils-0.13-5.el5. Manpage integrity test case in rpmdiff has passed.
Comment 21 Alexander Todorov 2010-10-27 09:14:30 EDT
Roman,
I've found that /usr/bin/mkzimage doesn't have a man page although this was not detected by rpmdiff. Does it need one?
Comment 22 Roman Rakus 2010-10-27 09:21:44 EDT
There can be some man page similar to addRamDisk one.
Comment 23 Alexander Todorov 2010-10-27 09:25:37 EDT
Moving back to ASSIGNED for the new man page to be added.
Comment 24 Roman Rakus 2010-10-29 07:49:39 EDT
Created attachment 456448 [details]
mkzimage man page
Comment 25 Roman Rakus 2010-10-29 08:12:47 EDT
Fixed in ppc64-utils-0.13-6.el5
Comment 26 Alexander Todorov 2010-11-05 08:16:03 EDT
man page for mkzimage is present in ppc64-utils-0.13-6.el5.ppc.rpm and this package is included in the 1029.0 tree. Moving to VERIFIED.
Comment 28 errata-xmlrpc 2011-01-13 18:45:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0087.html

Note You need to log in before you can comment on or make changes to this bug.